org.apache.olingo.odata2.api.processor.part

## Interface EntitySetProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntitySetProcessor
      extends ODataProcessor

  Execute a OData entity set request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `countEntitySet(GetEntitySetCountUriInfo uriInfo, String contentType)` Counts the number of requested entities.
    `ODataResponse` | `createEntity(PostUriInfo uriInfo, InputStream content, String requestContentType, String contentType)` Creates an entity.
    `ODataResponse` | `readEntitySet(GetEntitySetUriInfo uriInfo, String contentType)` Reads entities.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntitySet

          ODataResponse readEntitySet(GetEntitySetUriInfo uriInfo,
                                      String contentType)
                               throws ODataException

      Reads entities.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### countEntitySet

          ODataResponse countEntitySet(GetEntitySetCountUriInfo uriInfo,
                                       String contentType)
                                throws ODataException

      Counts the number of requested entities.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

    - #### createEntity

          ODataResponse createEntity(PostUriInfo uriInfo,
                                     InputStream content,
                                     String requestContentType,
                                     String contentType)
                              throws ODataException

      Creates an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the data of the new entity
        `requestContentType` - the content type of the request body
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.